package org.netkernel.text.search.endpoint;

import java.io.Reader;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.LowerCaseTokenizer;
import org.apache.lucene.analysis.PorterStemFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.StopFilter;
import org.apache.lucene.analysis.standard.StandardAnalyzer;

public class PorterStemmingAnalyzer extends Analyzer
{
	@Override
	public TokenStream tokenStream(String aFieldName, Reader aReader)
	{
		return new PorterStemFilter(new StopFilter(new LowerCaseTokenizer(aReader), StandardAnalyzer.STOP_WORDS));
	}


}
