package org.netkernel.text.search.representation;

import org.apache.lucene.analysis.Analyzer;

public class LuceneConfigRep
{	private Analyzer mAnalyzer;
	private String mDirectory;
	private int mMaxFieldLength;
	
	public LuceneConfigRep(Analyzer aAnalyzer, String aDirectory, int aMaxFieldLength)
	{	mAnalyzer=aAnalyzer;
		mDirectory=aDirectory;
		mMaxFieldLength=aMaxFieldLength;
	}
	
	public Analyzer getAnalyzer()
	{	return mAnalyzer;		
	}
	
	public String getDirectory()
	{	return mDirectory;		
	}
	
	public int getMaxFieldLength()
	{	return mMaxFieldLength;		
	}

}
